play.mvc.results

## Class Result

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.utils.FastRuntimeException
        - - play.mvc.results.Result

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    Error, NoResult, NotFound, NotModified, Ok, Redirect, RedirectToStatic, RenderBinary, RenderHtml, RenderJson, RenderStatic, RenderTemplate, RenderText, RenderXml, Status, Unauthorized, WebSocketResult

      public abstract class Result
      extends FastRuntimeException

  Result support
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Result()`
    `Result(java.lang.String description)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `apply(Http.Request request, Http.Response response)`
    `protected java.lang.String` | `getEncoding()` The encoding that should be used when writing this response to the client
    `protected void` | `setContentTypeIfNotSet(Http.Response response, java.lang.String contentType)`

    - ### Methods inherited from class play.utils.FastRuntimeException

      `fillInStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Result

          public Result()

    - #### Result

          public Result(java.lang.String description)

  - ### Method Detail

    - #### apply

          public abstract void apply(Http.Request request,
                                     Http.Response response)

    - #### setContentTypeIfNotSet

          protected void setContentTypeIfNotSet(Http.Response response,
                                                java.lang.String contentType)

    - #### getEncoding

          protected java.lang.String getEncoding()

      The encoding that should be used when writing this response to the client
      Returns:
        The encoding of the response

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly